# Class CheckTrappedAbAttr

Base class for checking if a Pokemon is trapped by arena trap

#### Field

`arenaTrapCondition` Conditional for trapping abilities. For example, Magnet Pull will only activate if opponent is Steel type.

#### See

`applyCheckTrapped`

#### Hierarchy (view full)

- AbAttr
  - CheckTrappedAbAttr
    - ArenaTrapAbAttr

- Defined in src/data/ability.ts:2930

#####
Index

### Constructors

constructor

### Properties

arenaTrapCondition
showAbility

### Methods

addCondition
apply
applyCheckTrapped
getCondition
getTriggerMessage

## Constructors

### constructor

- new CheckTrappedAbAttr(condition): CheckTrappedAbAttr

- #### Parameters

  - condition: ArenaTrapCondition

  #### Returns CheckTrappedAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:2932

## Properties

### `Protected` arenaTrapCondition

arenaTrapCondition: ArenaTrapCondition

- Defined in src/data/ability.ts:2931

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:133

### applyCheckTrapped

- applyCheckTrapped(pokemon, passive, trapped, otherPokemon, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - trapped: BooleanHolder
  - otherPokemon: default
  - args: any[]

  #### Returns boolean | Promise<boolean>

  - Defined in src/data/ability.ts:2937

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137